summaryrefslogtreecommitdiffstats
path: root/lame/build
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2010-01-30 22:16:28 +0000
committer Eric Hameleers <alien@slackware.com>2010-01-30 22:16:28 +0000
commitd5ab3beb536f42a4fec3c13aaacfd6b5f5ad947c (patch)
tree170a3bd42a7e63547429c6220eb3aebd85718d20 /lame/build
parent065a8a20486df29119a3ee56d8cdafd25b268195 (diff)
downloadasb-d5ab3beb536f42a4fec3c13aaacfd6b5f5ad947c.tar.gz
asb-d5ab3beb536f42a4fec3c13aaacfd6b5f5ad947c.tar.xz
Shuffle to prevent unbound variable error
Diffstat (limited to 'lame/build')
-rwxr-xr-xlame/build/lame.SlackBuild14
1 files changed, 7 insertions, 7 deletions
diff --git a/lame/build/lame.SlackBuild b/lame/build/lame.SlackBuild
index 2f66b74e..422f3622 100755
--- a/lame/build/lame.SlackBuild
+++ b/lame/build/lame.SlackBuild
@@ -70,13 +70,6 @@ SRCURL="http://downloads.sourceforge.net/${PRGNAM}/${PRGNAM}-${SRCVER}.tar.gz"
## --- with a little luck, you won't have to edit below this point --- ##
##
-# Exit the script on errors:
-set -e
-trap 'echo "$0 FAILED at line $LINENO!" | tee $OUTPUT/error-${PRGNAM}.log' ERR
-# Catch unitialized variables:
-set -u
-P1=${1:-1}
-
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -99,6 +92,13 @@ case "$ARCH" in
;;
esac
+# Exit the script on errors:
+set -e
+trap 'echo "$0 FAILED at line $LINENO!" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+# Catch unitialized variables:
+set -u
+P1=${1:-1}
+
# Create working directories:
mkdir -p $TMP/tmp-$PRGNAM # location to build the source
rm -rf $TMP/tmp-$PRGNAM/* # remove the remnants of previous build: